cURL
curl --request GET \ --url https://api.wavix.com/v1/calls \ --header 'Authorization: Bearer <token>'
{ "calls": [ { "uuid": "5dccb6b0-f35c-488c-867b-86fb012c4415", "id": "5dccb6b0-f35c-488c-867b-86fb012c4415", "direction": "inbound", "event_type": "call_setup", "event_time": "2025-09-22T12:56:38.547Z", "event_payload": null, "from": "+18045961058", "to": "17653889567", "call_started": "2025-09-22T12:56:38.547Z", "call_answered": "2023-06-15T10:30:00Z", "call_completed": "2023-06-15T10:30:00Z", "machine_detected": false, "tag": "marketing-campaign" } ], "success": true }
Returns the calls currently in progress for the authenticated account.
Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.
Authorization: Bearer <api_key>
Returns the list of active calls.
List of calls
Show child attributes
Indicates whether the request was successful.
true